OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
TopoDSToStep

# TopoDSToStep_WireframeBuilder Class Reference

This builder Class provides services to build
a ProSTEP Wireframemodel from a Cas.Cad BRep.
.

`#include <TopoDSToStep_WireframeBuilder.hxx>`

Inheritance diagram for TopoDSToStep_WireframeBuilder:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TopoDSToStep_WireframeBuilder ()
Standard_EXPORT | TopoDSToStep_WireframeBuilder (const TopoDS_Shape &S, TopoDSToStep_Tool &T, const Handle(Transfer_FinderProcess)&FP)
Standard_EXPORT void | Init (const TopoDS_Shape &S, TopoDSToStep_Tool &T, const Handle(Transfer_FinderProcess)&FP)
Standard_EXPORT TopoDSToStep_BuilderError | Error () const
Standard_EXPORT const Handle_TColStd_HSequenceOfTransient & | Value () const
Standard_EXPORT Standard_Boolean | GetTrimmedCurveFromEdge (const TopoDS_Edge &E, const TopoDS_Face &F, MoniTool_DataMapOfShapeTransient &M, Handle(TColStd_HSequenceOfTransient)&L) const
| Extraction of Trimmed Curves from TopoDS_Edge for the Creation of a GeometricallyBoundedWireframeRepresentation .
Standard_EXPORT Standard_Boolean | GetTrimmedCurveFromFace (const TopoDS_Face &F, MoniTool_DataMapOfShapeTransient &M, Handle(TColStd_HSequenceOfTransient)&L) const
| Extraction of Trimmed Curves from TopoDS_Face for the Creation of a GeometricallyBoundedWireframeRepresentation .
Standard_EXPORT Standard_Boolean | GetTrimmedCurveFromShape (const TopoDS_Shape &S, MoniTool_DataMapOfShapeTransient &M, Handle(TColStd_HSequenceOfTransient)&L) const
| Extraction of Trimmed Curves from any TopoDS_Shape for the Creation of a GeometricallyBoundedWireframeRepresentation .
## Private Attributes
Handle_TColStd_HSequenceOfTransient | myResult
TopoDSToStep_BuilderError | myError

## Constructor & Destructor Documentation

Standard_EXPORT TopoDSToStep_WireframeBuilder::TopoDSToStep_WireframeBuilder | ( |  | ) |

Standard_EXPORT TopoDSToStep_WireframeBuilder::TopoDSToStep_WireframeBuilder | ( | const TopoDS_Shape & | S,
|  | TopoDSToStep_Tool & | T,
|  | const Handle(Transfer_FinderProcess)& | FP
| ) |

## Member Function Documentation

Standard_EXPORT TopoDSToStep_BuilderError TopoDSToStep_WireframeBuilder::Error | ( |  | ) | const

Standard_EXPORT Standard_Boolean TopoDSToStep_WireframeBuilder::GetTrimmedCurveFromEdge | ( | const TopoDS_Edge & | E,
|  | const TopoDS_Face & | F,
|  | MoniTool_DataMapOfShapeTransient & | M,
|  | Handle(TColStd_HSequenceOfTransient)& | L
| ) | const

Standard_EXPORT Standard_Boolean TopoDSToStep_WireframeBuilder::GetTrimmedCurveFromFace | ( | const TopoDS_Face & | F,
|  | MoniTool_DataMapOfShapeTransient & | M,
|  | Handle(TColStd_HSequenceOfTransient)& | L
| ) | const

Standard_EXPORT Standard_Boolean TopoDSToStep_WireframeBuilder::GetTrimmedCurveFromShape | ( | const TopoDS_Shape & | S,
|  | MoniTool_DataMapOfShapeTransient & | M,
|  | Handle(TColStd_HSequenceOfTransient)& | L
| ) | const

Standard_EXPORT void TopoDSToStep_WireframeBuilder::Init | ( | const TopoDS_Shape & | S,
|  | TopoDSToStep_Tool & | T,
|  | const Handle(Transfer_FinderProcess)& | FP
| ) |

void TopoDSToStep_WireframeBuilder::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

void* TopoDSToStep_WireframeBuilder::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

void* TopoDSToStep_WireframeBuilder::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TopoDSToStep_Root.

Standard_EXPORT const Handle_TColStd_HSequenceOfTransient& TopoDSToStep_WireframeBuilder::Value | ( |  | ) | const

## Field Documentation

TopoDSToStep_BuilderError TopoDSToStep_WireframeBuilder::myError`[private]`

Handle_TColStd_HSequenceOfTransient TopoDSToStep_WireframeBuilder::myResult`[private]`

The documentation for this class was generated from the following file:

- TopoDSToStep_WireframeBuilder.hxx